Summary:	A Nomad Jukebox manager
Name:		gnomad2
Version:	2.9.6
Release:	%mkrel 12
License:	GPLv2+
URL:		http://gnomad2.sourceforge.net/
Group:		Communications/Mobile
Source0:	http://downloads.sourceforge.net/project/gnomad2/gnomad2/Gnomad%20%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.9.4-fix-str-fmt.patch
BuildRequires:	pkgconfig(libnjb) >= 2.2.4
BuildRequires:	libgtk+2-devel >= 2.6.0
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(libmtp) >= 0.3.0
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	intltool

%description
Gnomad 2 is a GUI built on top of GTK/GNOME 2, libid3tag and libnjb that
makes it possible to transfer tracks and files from/to a
Creative Nomad Jukebox (all brands). It is designed much like
an ordinary graphical FTP program.

%prep
%setup -q
%autopatch -p0

%build
%define _legacy_common_support 1
%configure
%make_build

%install
%make_install

%find_lang %{name}

install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
for i in 16x16 32x32 48x48; do
    convert -resize $i %{name}-logo.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}-logo.png
done

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog README TODO
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/man1/%{name}.1*
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_iconsdir}/hicolor/*/apps/%{name}-logo.png


%changelog
* Tue Jun 30 2020 joequant <joequant> 2.9.6-12.mga8
+ Revision: 1600701
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 2.9.6-11.mga8
+ Revision: 1512598
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.9.6-10.mga7
+ Revision: 1297948
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 2.9.6-9.mga6
+ Revision: 938903
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.6-8.mga5
+ Revision: 747875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.6-7.mga5
+ Revision: 679697
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.9.6-6.mga4
+ Revision: 505047
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.9.6-5.mga3
+ Revision: 351955
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 2.9.6-4.mga3
+ Revision: 322867
- update RPM group

* Tue Feb 07 2012 tv <tv> 2.9.6-3.mga2
+ Revision: 206195
- fix too big icon in menu

* Sun Jul 17 2011 fwang <fwang> 2.9.6-2.mga2
+ Revision: 125202
- rebuild for new libmtp

* Thu Jul 07 2011 ahmad <ahmad> 2.9.6-1.mga2
+ Revision: 119722
- Update to 2.9.6
- Adjust the BuildRequires
- Clean the spec a bit
- Install the icons in hicolor

* Wed Mar 23 2011 tv <tv> 2.9.4-3.mga1
+ Revision: 75932
- cleanup
- imported package gnomad2

